import * as i0 from "@angular/core";
/** Active state for elements which prevent default on mousedown to keep focus elsewhere */
export declare class NxPseudoActiveDirective {
    protected active: import("@angular/core").WritableSignal<boolean>;
    protected onMouseDown(event: MouseEvent): void;
    protected onMouseUp(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NxPseudoActiveDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NxPseudoActiveDirective, "[nxPseudoActive]", never, {}, {}, never, never, true, never>;
}
